Oracle Solaris Critical Patch Update : oct2014_11_2SRU0

This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch from CPU
oct2014.

Description :

This Solaris system is missing necessary patches to address critical
security updates :

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: SMB server kernel
module). The supported version that is affected is 11.
Easily exploitable vulnerability requiring logon to
Operating System. Successful attack of this
vulnerability can result in unauthorized Operating
System hang or frequently repeatable crash (complete
DOS). (CVE-2014-4275)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Common Internet
File System(CIFS)). The supported version that is
affected is 11. Easily exploitable vulnerability allows
successful unauthenticated network attacks via CIFS.
Successful attack of this vulnerability can result in
unauthorized update, insert or delete access to some
Solaris accessible data as well as read access to a
subset of Solaris accessible data and ability to cause a
partial denial of service (partial DOS) of Solaris.
(CVE-2014-4276)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Automated Install
Engine). The supported version that is affected is 11.
Easily exploitable vulnerability allows successful
unauthenticated network attacks via HTTP. Successful
attack of this vulnerability can result in unauthorized
read access to a subset of Solaris accessible data.
(CVE-2014-4277)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: IPS transfer
module). The supported version that is affected is 11.
Easily exploitable vulnerability requiring logon to
Operating System. Successful attack of this
vulnerability can result in unauthorized update, insert
or delete access to some Solaris accessible data as well
as read access to a subset of Solaris accessible data
and ability to cause a partial denial of service
(partial DOS) of Solaris. (CVE-2014-4280)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Automated Install
Engine). The supported version that is affected is 11.
Difficult to exploit vulnerability allows successful
unauthenticated network attacks via SSL/TLS. Successful
attack of this vulnerability can result in unauthorized
read access to a subset of Solaris accessible data.
(CVE-2014-4283)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Kernel/X86). The
supported version that is affected is 11. Easily
exploitable vulnerability requiring logon to Operating
System. Successful attack of this vulnerability can
result in unauthorized Operating System takeover
including arbitrary code execution. (CVE-2014-4282)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: IPS transfer
module). The supported version that is affected is 11.
Difficult to exploit vulnerability requiring logon to
Operating System. Successful attack of this
vulnerability can result in unauthorized update, insert
or delete access to some Solaris accessible data as well
as read access to a subset of Solaris accessible data
and ability to cause a partial denial of service
(partial DOS) of Solaris. (CVE-2014-4284)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Archive Utility).
The supported version that is affected is 11. Easily
exploitable vulnerability requiring logon to Operating
System plus additional login/authentication to component
or subcomponent. Successful attack of this vulnerability
can escalate attacker privileges resulting in
unauthorized Operating System takeover including
arbitrary code execution. (CVE-2014-6470)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Zone Framework).
Supported versions that are affected are 10 and 11.
Easily exploitable vulnerability requiring logon to
Operating System. Successful attack of this
vulnerability can result in unauthorized Operating
System takeover including arbitrary code execution.
Note: For Solaris 10, it only applies to SPARC systems
with Solaris 8 and Solaris 9 branded zones.
(CVE-2014-6473)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: SMB server user
component). The supported version that is affected is
11. Easily exploitable vulnerability allows successful
unauthenticated network attacks via SMB. Successful
attack of this vulnerability can result in unauthorized
ability to cause a partial denial of service (partial
DOS) of Solaris. (CVE-2014-6490)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Kernel). The
supported version that is affected is 11. Easily
exploitable vulnerability requiring logon to Operating
System. Successful attack of this vulnerability can
result in unauthorized Operating System hang or
frequently repeatable crash (complete DOS).
(CVE-2014-6497)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: SSH). The
supported version that is affected is 11. Easily
exploitable vulnerability requiring logon to Operating
System. Successful attack of this vulnerability can
result in unauthorized read access to a subset of
Solaris accessible data. (CVE-2014-6501)

- Vulnerability in the Solaris component of Oracle Sun
Systems Products Suite (subcomponent: Hermon HCA PCIe
driver). The supported version that is affected is 11.
Very difficult to exploit vulnerability allows
successful unauthenticated network attacks via None, but
can only be launched from an adjacent network.
Successful attack of this vulnerability can result in
unauthorized Operating System takeover including
arbitrary code execution. (CVE-2014-6529)

See also :

http://www.nessus.org/u?3485133e
http://www.nessus.org/u?6dcc7b47
https://support.oracle.com/rs?type=doc&id=1931712.1

Solution :

Install the oct2014 CPU from the Oracle support website.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now